## colorless-109.tar.gz

=== Makefile ===
#!/usr/bin/make

DESTDIR=
PREFIX=/usr/pkg

# The Bourne shell used must understand shell functions.
#SHELL=/bin/sh5

PROG=colorless
MAN=1
VERSION=109

BINDIR=bin
DBDIR=share/${PROG}
MANDIR=share/man/man${MAN}
TOOLPATH=${PREFIX}/${BINDIR}

RELEASE_ARTIFACTS= \
	Makefile \
	debian/changelog \

RELEASE_TAG=v${VERSION}

.PHONY: all
all: ${PROG}

${PROG}: ${PROG}.sh Makefile
	sed \
	    -e 's;@PREFIX@;${PREFIX};g' \
	    -e 's;@SHELL@;${SHELL};g' \
	    -e 's;@TOOLPATH@;${TOOLPATH};g' \
	    -e 's;@VERSION@;${VERSION};g' \
	    < $< > $@
	chmod a+rx $@

.PHONY: install
install: ${PROG} ${PROG}.man
	install -m 755 ${PROG} ${DESTDIR}${PREFIX}/${BINDIR}/${PROG}
	install -m 644 ${PROG}.man ${DESTDIR}${PREFIX}/${MANDIR}/${PROG}.${MAN}
	install -m 755 -d ${DESTDIR}${PREFIX}/${DBDIR}
	install -m 644 ${PROG}.conf ${DESTDIR}${PREFIX}/${DBDIR}/${PROG}.conf

clean:
	rm -f ${PROG}

.PHONY: release-add add
release-add add:
	git add ${RELEASE_ARTIFACTS}

.PHONY: release-diff
release-diff diff:
	git diff --staged

.PHONY: release-commit commit
release-commit commit:
	git commit -m 'Release ${VERSION}'
	git tag ${RELEASE_TAG}

.PHONY: release-push push
release-push push:
	git push origin
	git push origin tag ${RELEASE_TAG}

release-archive tar.gz:
	git archive -o ${PROG}-${VERSION}.tar.gz \
	  --prefix=${PROG}-${VERSION}/ ${RELEASE_TAG}

=== debian/changelog ===
colorless (109) stable; urgency=medium

  * Initial release.

 -- Kimmo Suominen <kimmo@suominen.com>  Sat, 14 Jan 2023 08:57:39 +0200

=== debian/control ===
Source: colorless
Section: text
Priority: extra
Maintainer: Kimmo Suominen <kimmo@suominen.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Homepage: https://kimmo.suominen.com/sw/colorless
Vcs-Git: https://github.com/suominen/colorless.git
Vcs-Browser: https://github.com/suominen/colorless

Package: colorless
Architecture: all
Depends: ${misc:Depends}, dash | bash, coreutils, sed, less (>= 346)
Description: Enable colorised command output and pipe it to less
 colorless is a wrapper that enables colorised output of commands and
 pipes the output to less(1).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# This file is public domain software, originally written by Joey Hess.
#
# This version is for packages that are architecture independent.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) PREFIX=/usr

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) DESTDIR=`pwd`/debian/`dh_listpackages` PREFIX=/usr install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installwm
#	dh_installudev
#	dh_lintian
#	dh_bugfiles
#	dh_undocumented
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
#	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
